import React from 'react';
import '../../../css/endo/GridData.css';
import { getBorderStyle, getIsCellSelected } from './selectionUtils';
import { calculateCurrentSheetView } from './sheetViewUtils';
import { classNames } from '../../utils/classNames';
import { cellInSearch } from './utils';
const GridData = (props) => {
    const currentSheetView = calculateCurrentSheetView(props.gridState);
    return (React.createElement(React.Fragment, null, props.sheetData && props.sheetData.numRows > 0 && Array(currentSheetView.numRowsRendered).fill(0).map((_, _rowIndex) => {
        const rowIndex = currentSheetView.startingRowIndex + _rowIndex;
        const rowClassNames = classNames('row', {
            'row-even': rowIndex % 2 === 0,
            'row-odd': rowIndex % 2 !== 0
        });
        return (React.createElement("div", { className: rowClassNames, key: rowIndex }, Array(currentSheetView.numColumnsRendered).fill(0).map((_, _colIndex) => {
            var _a, _b;
            const columnIndex = currentSheetView.startingColumnIndex + _colIndex;
            const cellData = (_b = (_a = props.sheetData) === null || _a === void 0 ? void 0 : _a.data[columnIndex]) === null || _b === void 0 ? void 0 : _b.columnData[rowIndex - props.startingRowIndex];
            if (cellData === undefined || props.sheetData === undefined) {
                return null;
            }
            const className = classNames('cell', {
                'cell-selected': getIsCellSelected(props.gridState.selections, rowIndex, columnIndex),
                'cell-hidden': props.editorState !== undefined && props.editorState.rowIndex === rowIndex && props.editorState.columnIndex === columnIndex,
                'cell-searched': cellInSearch(cellData, props.gridState.searchString),
            });
            const cellWidth = props.gridState.widthDataArray[props.gridState.sheetIndex].widthArray[columnIndex];
            return (React.createElement("div", { className: className, key: columnIndex, style: Object.assign({ width: `${cellWidth}px` }, getBorderStyle(props.gridState.selections, rowIndex, columnIndex, props.sheetData.numRows)), tabIndex: -1, "mito-col-index": columnIndex, "mito-row-index": rowIndex, title: '' + cellData }, '' + cellData));
        })));
    })));
};
export default React.memo(GridData);
//# sourceMappingURL=GridData.js.map