// Copyright (c) Mito
import React, { Fragment } from 'react';
// import css
import DefaultModal from '../DefaultModal';
import { ModalEnum } from './modals';
import TextButton from '../elements/TextButton';
/*
    A modal that displays error messages and gives
    users actions to recover.
*/
const ErrorModal = (props) => {
    if (props.error === undefined) {
        return (React.createElement(React.Fragment, null));
    }
    return (React.createElement(DefaultModal, { header: props.error.header, modalType: ModalEnum.Error, viewComponent: React.createElement(Fragment, null,
            React.createElement("div", null, props.error.to_fix)), buttons: React.createElement(Fragment, null,
            React.createElement(TextButton, { variant: 'light', width: 'small', onClick: () => {
                    props.setUIState((prevUIState) => {
                        return Object.assign(Object.assign({}, prevUIState), { currOpenModal: { type: ModalEnum.None } });
                    });
                } }, "Close"),
            React.createElement(TextButton, { variant: 'dark', width: 'medium', href: 'https://discord.gg/XdJSZyejJU', target: '_blank', onClick: () => {
                    props.setUIState((prevUIState) => {
                        return Object.assign(Object.assign({}, prevUIState), { currOpenModal: { type: ModalEnum.None } });
                    });
                    void props.mitoAPI.sendLogMessage('clicked_discord_invite', {
                        'location': 'error modal'
                    });
                    return true;
                } }, "Get Immediate Support")) }));
};
export default ErrorModal;
//# sourceMappingURL=ErrorModal.js.map