// Copyright (c) Mito
import React, { Fragment } from 'react';
import { ModalEnum } from './modals';
import DefaultModal from '../DefaultModal';
import TextButton from '../elements/TextButton';
import { TaskpaneType } from '../taskpanes/taskpanes';
/*
  A modal that appears if a user tries to overwrite a saved analysis,
  prompting them they want to overwrite it.
*/
const SaveAnalysisOverwriteModal = (props) => {
    const clickCancel = () => {
        props.setUIState((prevUIState) => {
            return Object.assign(Object.assign({}, prevUIState), { currOpenModal: { type: ModalEnum.None } });
        });
    };
    const clickOverwrite = async () => {
        await props.mitoAPI.sendSaveAnalysisMessage(props.saveAnalysisName);
        props.setUIState((prevUIState) => {
            return Object.assign(Object.assign({}, prevUIState), { currOpenModal: { type: ModalEnum.None }, currOpenTaskpane: { type: TaskpaneType.NONE } });
        });
    };
    return (React.createElement(DefaultModal, { header: `There is already an analysis called ${props.saveAnalysisName}`, modalType: ModalEnum.SaveAnalysisOverwrite, viewComponent: React.createElement(Fragment, null,
            React.createElement("p", null, "Saving this analysis will overwrite your existing analysis. Are you sure you want to continue?")), buttons: React.createElement(Fragment, null,
            React.createElement(TextButton, { variant: 'light', width: 'small', onClick: clickCancel }, "Cancel"),
            React.createElement(TextButton, { variant: 'dark', width: 'small', onClick: clickOverwrite }, "Overwrite")) }));
};
export default SaveAnalysisOverwriteModal;
//# sourceMappingURL=SaveAnalysisOverwriteModal.js.map