// Copyright (c) Mito
import React from 'react';
// import css
import "../../../css/taskpanes/DefaultTaskpane.css";
import { classNames } from '../../utils/classNames';
import XIcon from '../icons/XIcon';
import { TaskpaneType } from './taskpanes';
import BackArrowIcon from '../icons/BackArrowIcon';
import Row from '../spacing/Row';
import Col from '../spacing/Col';
export var TaskpaneSize;
(function (TaskpaneSize) {
    TaskpaneSize["WIDE"] = "wide";
    TaskpaneSize["NARROW"] = "narrow";
})(TaskpaneSize || (TaskpaneSize = {}));
/*
    DefaultTaskpane is a higher-order component that
    takes a header and a taskpaneBbody, and displays it as a component.

    The modal has props
    - a header string to be shown at the top of the taskpane
    - a taskpaneBody, a react fragment which is the center segment of the taskpane
    - a setTaskpaneOpenOrClosed function to close the taskpane
*/
const DefaultTaskpane = (props) => {
    return (React.createElement("div", { className: 'default-taskpane-div', style: { backgroundImage: props.backgroundImage } },
        React.createElement("div", { className: 'default-taskpane-header-div' },
            props.headerOutsideRow &&
                props.header,
            !props.headerOutsideRow &&
                React.createElement(Row, { suppressTopBottomMargin: true },
                    React.createElement(Col, { span: 23 },
                        typeof props.header !== 'string' &&
                            props.header,
                        typeof props.header === 'string' &&
                            React.createElement("div", { className: 'default-taskpane-header-and-back-button' },
                                props.backCallback !== undefined &&
                                    React.createElement("div", { onClick: props.backCallback, className: 'mt-5px mr-10px' },
                                        React.createElement(BackArrowIcon, null)),
                                React.createElement("p", { className: 'text-header-2 text-overflow-hide' }, props.header))),
                    React.createElement(Col, { span: 1 }, !props.notCloseable &&
                        React.createElement("div", { className: 'default-taskpane-header-exit-button-div', onClick: () => {
                                // Call the on close callback, if it exists
                                if (props.callbackOnClose) {
                                    props.callbackOnClose();
                                }
                                props.setUIState((prevUIState) => {
                                    return Object.assign(Object.assign({}, prevUIState), { currOpenTaskpane: { type: TaskpaneType.NONE } });
                                });
                            } },
                            React.createElement(XIcon, null))))),
        React.createElement("div", { className: classNames('default-taskpane-body-div', props.noScroll ? 'default-taskpane-body-div-no-scroll' : '') }, props.taskpaneBody)));
};
export default DefaultTaskpane;
//# sourceMappingURL=DefaultTaskpane.js.map