// Copyright (c) Mito
import React, { Fragment, useState } from "react";
import DefaultTaskpane from "../DefaultTaskpane";
import SavedAnalysisCard from "./SavedAnalysisCard";
import { getStepIcon } from "../Steps/StepDataElement";
// Import css
import '../../../../css/taskpanes/ReplayAnalysis/ReplayAnalysisTaskpane.css';
const ReplayAnalysisTaskpane = (props) => {
    const [openedDropdown, setOpenedDropdown] = useState(undefined);
    const [savedAnalysisDescription, setSavedAnalysisDescription] = useState(undefined);
    const [selectedSavedAnalysis, setSelectedSavedAnalysis] = useState(undefined);
    const setSelectedAnalysisAndDescription = (_savedAnalysisName, _savedAnalysisDescription) => {
        setSelectedSavedAnalysis(_savedAnalysisName);
        setSavedAnalysisDescription(_savedAnalysisDescription);
    };
    // Create the saved analysis name cards
    const savedAnalysisCards = props.savedAnalysisNames.map(savedAnalysisName => {
        return (React.createElement(SavedAnalysisCard, { key: savedAnalysisName, isDescribedAnalysis: false, savedAnalysisName: savedAnalysisName, savedAnalysisNames: props.savedAnalysisNames, openedDropdown: openedDropdown === savedAnalysisName, setOpenedDropdown: setOpenedDropdown, setSelectedAnalysisAndDescription: setSelectedAnalysisAndDescription, setUIState: props.setUIState, mitoAPI: props.mitoAPI }));
    });
    // Create the saved analysis step descriptions
    let savedAnalysisStepDescriptionDivs = [];
    if (savedAnalysisDescription !== undefined) {
        savedAnalysisStepDescriptionDivs = savedAnalysisDescription.map((step, index) => {
            return (React.createElement("div", { className: 'saved-analysis-taskpane-step', key: index },
                React.createElement("div", { className: 'saved-analysis-taskpane-step-icon' }, getStepIcon(step['step_type'])),
                React.createElement("div", { className: 'saved-analysis-step-text-div' }, step['step_description'])));
        });
    }
    return (React.createElement(DefaultTaskpane, { header: 'Apply a Saved Analysis', setUIState: props.setUIState, taskpaneBody: React.createElement(Fragment, null,
            React.createElement("div", { className: 'mb-20px' },
                React.createElement("p", { className: 'text-color-error' }, "Saving and replaying an analysis is being deprecated. To save and replay an analysis, use the code that Mito generates.")),
            props.savedAnalysisNames.length !== 0 &&
                React.createElement(Fragment, null,
                    React.createElement("div", { className: 'saved-analyses-container' }, savedAnalysisCards),
                    React.createElement("div", { className: 'saved-analysis-divider-line-container' },
                        React.createElement("hr", { className: 'saved-analysis-divider-line' })),
                    selectedSavedAnalysis !== undefined &&
                        React.createElement(Fragment, null,
                            React.createElement(SavedAnalysisCard, { key: selectedSavedAnalysis, isDescribedAnalysis: true, savedAnalysisName: selectedSavedAnalysis, savedAnalysisNames: props.savedAnalysisNames, openedDropdown: openedDropdown === (selectedSavedAnalysis + '-described-analysis'), setOpenedDropdown: setOpenedDropdown, setSelectedAnalysisAndDescription: setSelectedAnalysisAndDescription, setUIState: props.setUIState, mitoAPI: props.mitoAPI }),
                            React.createElement("div", { className: 'saved-analysis-taskpane-step-container' }, savedAnalysisStepDescriptionDivs)),
                    savedAnalysisDescription === undefined &&
                        React.createElement("div", { className: 'saved-analysis-taskpane-empty-section-text-container' }, "Click an analysis to see the steps it contains.")),
            props.savedAnalysisNames.length === 0 &&
                React.createElement("div", { className: 'saved-analysis-taskpane-empty-section-text-container' }, "You don't have any saved analyses. Save one, then come back to apply it to your dataframes!")) }));
};
export default ReplayAnalysisTaskpane;
//# sourceMappingURL=ReplayAnalysisTaskpane.js.map