// Copyright (c) Mito
import React from 'react';
import { classNames } from '../../utils/classNames';
import { getToolbarItemIcon } from './utils';
/**
 * The ToolbarButton component is used to create each
 * button in the Toolbar.
 */
const ToolbarButton = (props) => {
    const highlightToobarItemClass = props.highlightToolbarButton === true ? 'toolbar-button-draw-attention' : '';
    const icons = getToolbarItemIcon(props.toolbarButtonType);
    return (React.createElement("button", { className: classNames('toolbar-button', 'vertical-align-content', highlightToobarItemClass), onClick: props.onClick },
        React.createElement("span", { title: props.buttonSubtext },
            React.createElement("div", { className: 'toolbar-button-icon-container' },
                React.createElement("div", { className: 'toolbar-button-icon-dark' }, icons.darkIcon),
                React.createElement("div", { className: 'toolbar-button-icon-light' }, icons.lightIcon)),
            React.createElement("p", { className: 'toolbar-button-label' }, props.buttonTitle))));
};
export default ToolbarButton;
//# sourceMappingURL=ToolbarButton.js.map