/**
 * The different types of data manipulation that Mito supports.
 */
export var StepType;
(function (StepType) {
    StepType["Initialize"] = "initialize";
    StepType["AddColumn"] = "add_column";
    StepType["DeleteColumn"] = "delete_column";
    StepType["RenameColumn"] = "rename_column";
    StepType["ReorderColumn"] = "reorder_column";
    StepType["FilterColumn"] = "filter_column";
    StepType["SetColumnFormula"] = "set_column_formula";
    StepType["DataframeDelete"] = "dataframe_delete";
    StepType["DataframeDuplicate"] = "dataframe_duplicate";
    StepType["DataframeRename"] = "dataframe_rename";
    StepType["SimpleImport"] = "simple_import";
    StepType["Sort"] = "sort";
    StepType["Pivot"] = "pivot";
    StepType["Merge"] = "merge";
    StepType["DropDuplicates"] = "drop_duplicates";
    StepType["ChangeColumnDtype"] = "change_column_dtype";
    StepType["SetCellValue"] = "set_cell_value";
    StepType["BulkOldRename"] = "bulk_old_rename";
    StepType["ExcelImport"] = "excel_import";
})(StepType || (StepType = {}));
/**
 * The original location of a specific dataframe.
 */
export var DFSource;
(function (DFSource) {
    DFSource["Passed"] = "passed";
    DFSource["Imported"] = "imported";
    DFSource["Pivoted"] = "pivoted";
    DFSource["Merged"] = "merged";
    DFSource["Duplicated"] = "duplicated";
})(DFSource || (DFSource = {}));
export var BooleanFilterCondition;
(function (BooleanFilterCondition) {
    BooleanFilterCondition["IS_TRUE"] = "boolean_is_true";
    BooleanFilterCondition["IS_FALSE"] = "boolean_is_false";
    BooleanFilterCondition["EMPTY"] = "empty";
    BooleanFilterCondition["NOT_EMPTY"] = "not_empty";
})(BooleanFilterCondition || (BooleanFilterCondition = {}));
export var StringFilterCondition;
(function (StringFilterCondition) {
    StringFilterCondition["CONTAINS"] = "contains";
    StringFilterCondition["DOES_NOT_CONTAIN"] = "string_does_not_contain";
    StringFilterCondition["STRING_EXACTLY"] = "string_exactly";
    StringFilterCondition["STRING_NOT_EXACTLY"] = "string_not_exactly";
    StringFilterCondition["EMPTY"] = "empty";
    StringFilterCondition["NOT_EMPTY"] = "not_empty";
})(StringFilterCondition || (StringFilterCondition = {}));
export var NumberFilterCondition;
(function (NumberFilterCondition) {
    NumberFilterCondition["NUMBER_EXACTLY"] = "number_exactly";
    NumberFilterCondition["NUMBER_NOT_EXACTLY"] = "number_not_exactly";
    NumberFilterCondition["GREATER"] = "greater";
    NumberFilterCondition["GREATER_THAN_OR_EQUAL"] = "greater_than_or_equal";
    NumberFilterCondition["LESS"] = "less";
    NumberFilterCondition["LESS_THAN_OR_EQUAL"] = "less_than_or_equal";
    NumberFilterCondition["EMPTY"] = "empty";
    NumberFilterCondition["NOT_EMPTY"] = "not_empty";
})(NumberFilterCondition || (NumberFilterCondition = {}));
export var DatetimeFilterCondition;
(function (DatetimeFilterCondition) {
    DatetimeFilterCondition["DATETIME_EXTACTLY"] = "datetime_exactly";
    DatetimeFilterCondition["DATETIME_NOT_EXTACTLY"] = "datetime_not_exactly";
    DatetimeFilterCondition["DATETIME_GREATER_THAN"] = "datetime_greater";
    DatetimeFilterCondition["DATETIME_GREATER_THAN_OR_EQUAL"] = "datetime_greater_than_or_equal";
    DatetimeFilterCondition["DATETIME_LESS"] = "datetime_less";
    DatetimeFilterCondition["DATETIME_LESS_THAN_OR_EQUAL"] = "datetime_less_than_or_equal";
    DatetimeFilterCondition["EMPTY"] = "empty";
    DatetimeFilterCondition["NOT_EMPTY"] = "not_empty";
})(DatetimeFilterCondition || (DatetimeFilterCondition = {}));
/**
 * The type of data that is in this current Mito analysis.
 *
 * @remark this should be the same as the file in the Python code
 * which is in data_in_mito.py
 */
export var DataTypeInMito;
(function (DataTypeInMito) {
    DataTypeInMito["NONE"] = "none";
    DataTypeInMito["PROVIDED"] = "provided";
    DataTypeInMito["TUTORIAL"] = "tutorial";
    DataTypeInMito["PERSONAL"] = "personal";
})(DataTypeInMito || (DataTypeInMito = {}));
//# sourceMappingURL=types.js.map